diff --git a/locale/en/all b/locale/en/all
index c1c785759..121ad42e7 100644
--- a/locale/en/all
+++ b/locale/en/all
@@ -2538,12 +2610,14 @@ $self->{texts} = {
   'Show follow ups...'          => '',
   'Show help text'              => '',
   'Show history'                => '',
+  'Show images'                 => '',
   'Show items from invoices individually' => '',
   'Show mappings (csv_import)'  => '',
   'Show old dunnings'           => '',
   'Show overdue sales quotations and requests for quotations...' => '',
   'Show parts'                  => '',
   'Show parts longdescription (notes) in select list' => '',
+  'Show purchase letters report' => '',
   'Show requirement spec'       => '',
   'Show requirement spec template' => '',
   'Show sales letters report'   => '',
@@ -2565,13 +2639,16 @@ $self->{texts} = {
   'Skipping due to existing bank transaction in database' => '',
   'Skipping due to existing entry in database' => '',
   'Skipping due to existing entry in database with different type' => '',
-  'Skipping, for assemblies are not importable (yet)' => '',
+  'Skipping due to existing entry with different unit or inventory_accno_id' => '',
+  'Skipping due to same partnumber in csv file' => '',
+  'Skipping non-existent article' => '',
   'Skonto'                      => '',
   'Skonto Terms'                => '',
   'Skonto amount'               => '',
   'Skonto information'          => '',
   'So far you could use one partnumber for severel parts, for example a service and an article.' => '',
   'Sold'                        => '',
+  'Sold order items'            => '',
   'Soldtotal does not make sense without any bsooqr options' => '',
   'Solution'                    => '',
   'Sort By'                     => '',
@@ -2628,8 +2705,10 @@ $self->{texts} = {
   'Subtotals per quarter'       => '',
   'Such entries cannot be exported into the DATEV format and have to be fixed as well.' => '',
   'Suggested invoice'           => '',
+  'Sum CB Transactions'         => '',
   'Sum Credit'                  => '',
   'Sum Debit'                   => '',
+  'Sum OB Transactions'         => '',
   'Sum for'                     => '',
   'Sum for #1'                  => '',
   'Sum for section'             => '',
@@ -2652,9 +2731,12 @@ $self->{texts} = {
   'Target bank account'         => '',
   'Target table'                => '',
   'Task Server is not running, starting it now. If this does not change, please check your task server config' => '',
+  'Task server'                 => '',
   'Task server control'         => '',
   'Task server status'          => '',
   'Tax'                         => '',
+  'Tax Account'                 => '',
+  'Tax Account Name'            => '',
   'Tax Consultant'              => '',
   'Tax ID number'               => '',
   'Tax Included'                => '',
@@ -2718,6 +2800,7 @@ $self->{texts} = {
   'That export does not exist.' => '',
   'That is why kivitendo could not find a default currency.' => '',
   'The \'name\' is the field shown to the user during login.' => '',
+  'The \'pclass\' column has the same abbreviation like a part export. The first letter is for the type Part,Assembly or Service, the second(and third) for Part Classification' => '',
   'The \'tag\' field must only consist of alphanumeric characters or the carachters - _ ( )' => '',
   'The AP transaction #1 has been deleted.' => '',
   'The AR transaction #1 has been deleted.' => '',
@@ -2726,6 +2809,7 @@ $self->{texts} = {
   'The GL transaction #1 has been deleted.' => '',
   'The IBAN \'#1\' is not valid as IBANs in #2 must be exactly #3 characters long.' => '',
   'The IBAN is missing.'        => '',
+  'The ID #1 is not a valid database ID.' => '',
   'The LDAP server "#1:#2" is unreachable. Please check config/kivitendo.conf.' => '',
   'The MT940 import needs an import profile called MT940' => '',
   'The PDF has been created'    => '',
@@ -2733,6 +2817,7 @@ $self->{texts} = {
   'The SEPA export has been created.' => '',
   'The SEPA strings have been saved.' => '',
   'The WebDAV feature has been used.' => '',
+  'The abbreviation is missing.' => '',
   'The acceptance status has been created.' => '',
   'The acceptance status has been deleted.' => '',
   'The acceptance status has been saved.' => '',
@@ -2843,6 +2928,7 @@ $self->{texts} = {
   'The execution schedule is invalid.' => '',
   'The execution type is invalid.' => '',
   'The existing record has been created from the link target to add.' => '',
+  'The export failed because of malformed transactions. Please fix those before exporting.' => '',
   'The factor is missing in row %d.' => '',
   'The factor is missing.'      => '',
   'The file has been sent to the printer.' => '',
@@ -2853,6 +2939,7 @@ $self->{texts} = {
   'The following currencies have been used, but they are not defined:' => '',
   'The following drafts have been saved and can be loaded.' => '',
   'The following groups are valid for this client' => '',
+  'The following is only a preview.' => '',
   'The following list has been generated automatically from existing users collapsing users with identical settings into a single entry.' => '',
   'The following old files whose settings have to be merged manually into the new configuration file "config/kivitendo.conf" still exist:' => '',
   'The following transaction contains wrong taxes:' => '',
@@ -2888,6 +2975,10 @@ $self->{texts} = {
   'The order has been deleted'  => '',
   'The order has been saved'    => '',
   'The package name is invalid.' => '',
+  'The parts classification has been created.' => '',
+  'The parts classification has been deleted.' => '',
+  'The parts classification has been saved.' => '',
+  'The parts classification is in use and cannot be deleted.' => '',
   'The parts for this delivery order have already been transferred in.' => '',
   'The parts for this delivery order have already been transferred out.' => '',
   'The parts have been removed.' => '',
@@ -2913,6 +3004,11 @@ $self->{texts} = {
   'The price rule has been saved.' => '',
   'The price rule is not a rule for discounts' => '',
   'The price rule is not a rule for prices' => '',
+  'The pricegroup has been created.' => '',
+  'The pricegroup has been deleted.' => '',
+  'The pricegroup has been saved.' => '',
+  'The pricegroup has been used and cannot be deleted.' => '',
+  'The pricegroup is being used by customers.' => '',
   'The printer could not be deleted.' => '',
   'The printer has been created.' => '',
   'The printer has been deleted.' => '',
@@ -3027,7 +3123,6 @@ $self->{texts} = {
   'There are entries in tax where taxkey is NULL.' => '',
   'There are invalid taxnumbers in use.' => '',
   'There are invalid transactions in your database.' => '',
-  'There are invoices which could not be paid by bank transaction #1 (Account number: #2, bank code: #3)!' => '',
   'There are no documents in the WebDAV directory at the moment.' => '',
   'There are no entries in the background job history.' => '',
   'There are no entries that match the filter.' => '',
@@ -3055,6 +3150,7 @@ $self->{texts} = {
   'There was an error saving the draft' => '',
   'There was an error saving the letter' => '',
   'There was an error saving the letter draft' => '',
+  'There will be two transactions done:' => '',
   'There you can let kivitendo create the basic tables for you, even in an already existing database.' => '',
   'Therefore several settings that had to be made for each user in the past have been consolidated into the client configuration.' => '',
   'Therefore the definition of "kg" with the base unit "g" and a factor of 1000 is valid while defining "g" with a base unit of "kg" and a factor of "0.001" is not.' => '',
@@ -3073,6 +3169,7 @@ $self->{texts} = {
   'This discount is only valid in purchase documents' => '',
   'This discount is only valid in records with customer or vendor' => '',
   'This discount is only valid in sales documents' => '',
+  'This export will include all records in the given time range and all supplicant information from checked entities. You will receive a single zip file. Please extract this file onto the data medium requested by your auditor.' => '',
   'This feature especially prevents mistakes by mixing up prior tax and sales tax.' => '',
   'This function requires the presence of articles with a time-based unit such as "h" or "min".' => '',
   'This group is valid for the following clients' => '',
@@ -3112,16 +3209,18 @@ $self->{texts} = {
   'This will set an exact price.' => '',
   'Three Options:'              => '',
   'Time Format'                 => '',
-  'Time and cost estimate'      => '',
+  'Time and price estimate'     => '',
   'Time estimate'               => '',
   'Time period for the analysis:' => '',
   'Time/cost estimate actions'  => '',
+  'Timerange'                   => '',
   'Timestamp'                   => '',
   'Title'                       => '',
   'To'                          => '',
   'To (email)'                  => '',
   'To (time)'                   => '',
   'To Date'                     => '',
+  'To Geierlein'                => '',
   'To continue please change the taxkey 0 to another value.' => '',
   'To user login'               => '',
   'Toggle marker'               => '',
@@ -3129,8 +3228,6 @@ $self->{texts} = {
   'Top'                         => '',
   'Top (CSS)'                   => '',
   'Top (Javascript)'            => '',
-  'Top 100'                     => '',
-  'Top 100 hinzufuegen'         => '',
   'Top Level Designation only'  => '',
   'Total'                       => '',
   'Total Fees'                  => '',
@@ -3167,6 +3264,7 @@ $self->{texts} = {
   'Transfer from warehouse'     => '',
   'Transfer in'                 => '',
   'Transfer in via default'     => '',
+  'Transfer of assemblies uses the assembly\'s default warehouse instead of the destination warehouse.' => '',
   'Transfer out'                => '',
   'Transfer out all items of a sales invoice when posting it. Items are transfered out acording to the settings above.' => '',
   'Transfer out on posting sales invoices?' => '',
@@ -3180,17 +3278,21 @@ $self->{texts} = {
   'Trial Balance'               => '',
   'Trial balance between %s and %s' => '',
   'Trying to call a sub without a name' => '',
+  'Typ'                         => '',
   'Type'                        => '',
+  'Type and Class'              => '',
   'Type can be either \'part\', \'service\' or \'assembly\'.' => '',
   'Type of Business'            => '',
   'Type of Customer'            => '',
   'Type of Vendor'              => '',
+  'TypeAbbreviation'            => '',
   'Types of Business'           => '',
   'USTVA'                       => '',
   'USTVA 2004'                  => '',
   'USTVA 2005'                  => '',
   'USTVA 2006'                  => '',
   'USTVA 2007'                  => '',
+  'USTVA Data sent to geierlein' => '',
   'USTVA-Hint: Method'          => '',
   'USTVA-Hint: Tax Authoritys'  => '',
   'USt-IdNr.'                   => '',
@@ -3224,13 +3326,16 @@ $self->{texts} = {
   'Update SKR04: new tax account 3804 (19%)' => '',
   'Update prices'               => '',
   'Update prices of existing entries' => '',
+  'Update prices of existing entries / skip non-existent' => '',
   'Update properties of existing entries' => '',
+  'Update properties of existing entries / skip non-existent' => '',
   'Update quotation/order'      => '',
   'Update sales order #1'       => '',
   'Update sales quotation #1'   => '',
   'Update this draft.'          => '',
   'Update with section'         => '',
   'Updated'                     => '',
+  'Updating data of existing entry in database' => '',
   'Updating existing entry in database' => '',
   'Updating items with additional parts' => '',
   'Updating items with sections' => '',
@@ -3238,6 +3343,8 @@ $self->{texts} = {
   'Updating the client fields in the database "#1" on host "#2:#3" failed.' => '',
   'Uploaded at'                 => '',
   'Uploaded on #1, size #2 kB'  => '',
+  'UsageE'                      => '',
+  'UsageWithout'                => '',
   'Use As New'                  => '',
   'Use Balance Sheet'           => '',
   'Use Datevautomatik'          => '',
@@ -3245,10 +3352,15 @@ $self->{texts} = {
   'Use Income'                  => 'Use GUV and BWA',
   'Use UStVA'                   => '',
   'Use WebDAV Repository'       => '',
+  'Use default booking group because setting is \'all\'' => '',
+  'Use default booking group because wanted is missing' => '',
+  'Use default warehouse for assembly transfer' => '',
   'Use existing templates'      => '',
   'Use linked items'            => '',
   'Use master default bin for Default Transfer, if no default bin for the part is configured' => '',
   'Useable for…'                => '',
+  'Used for Purchase'           => '',
+  'Used for Sale'               => '',
   'User'                        => '',
   'User Config'                 => '',
   'User Preferences'            => '',
@@ -3264,6 +3376,7 @@ $self->{texts} = {
   'Users, Clients and User Groups' => '',
   'Usually the sales quotation is valid until the next working day. If a value is set here then the quotation will be valid for at least that many days. The resulting date will be adjusted to the next working day if it ends up on a weekend.' => '',
   'VAT ID'                      => '',
+  'VN'                          => '',
   'Valid'                       => '',
   'Valid from'                  => '',
   'Valid until'                 => '',
@@ -3282,6 +3395,7 @@ $self->{texts} = {
   'Vendor Discount'             => '',
   'Vendor Invoice'              => '',
   'Vendor Invoices & AP Transactions' => '',
+  'Vendor Master Data'          => '',
   'Vendor Name'                 => '',
   'Vendor Number'               => '',
   'Vendor Order Number'         => '',
@@ -3309,8 +3423,10 @@ $self->{texts} = {
   'View/edit all employees sales documents' => '',
   'Von Konto: '                 => '',
   'WHJournal'                   => '',
+  'WHUsage'                     => '',
   'Warehouse'                   => '',
   'Warehouse (database ID)'     => '',
+  'Warehouse (name)'            => '',
   'Warehouse From'              => '',
   'Warehouse Migration'         => '',
   'Warehouse To'                => '',
@@ -3322,6 +3438,7 @@ $self->{texts} = {
   'Warn before saving orders with duplicate parts (new controller only)' => '',
   'Warning'                     => '',
   'Warning! Loading a draft will discard unsaved data!' => '',
+  'Warnings and errors'         => '',
   'WebDAV'                      => '',
   'WebDAV link'                 => '',
   'WebDAV save documents'       => '',
@@ -3419,12 +3536,15 @@ $self->{texts} = {
   'ap_aging_list'               => '',
   'ar_aging_list'               => '',
   'ar_chart isn\'t a valid chart' => '',
+  'article_list'                => '',
   'as at'                       => '',
   'assembled'                   => '',
   'assembly'                    => '',
   'assembly_list'               => '',
   'averaged values, in invoice mode only useful when filtered by a part' => '',
+  'averconsumed_br'             => '',
   'back'                        => '',
+  'back_br'                     => '',
   'balance'                     => '',
   'bank_collection_payment_list_#1' => '',
   'bank_transfer_payment_list_#1' => '',
@@ -3437,20 +3557,21 @@ $self->{texts} = {
   'cash'                        => '',
   'chargenumber #1'             => '',
   'chart_of_accounts'           => '',
-  'choice'                      => '',
-  'choice part'                 => '',
   'cleared'                     => '',
   'click here to edit cvars'    => '',
   'close'                       => '',
+  'close chart'                 => '',
   'closed'                      => '',
   'companylogo_subtitle'        => '',
   'config/kivitendo.conf: Key "DB_config" is missing.' => '',
   'config/kivitendo.conf: Key "authentication/ldap" is missing.' => '',
   'config/kivitendo.conf: Missing parameters in "authentication/database". Required parameters are "host", "db" and "user".' => '',
   'config/kivitendo.conf: Missing parameters in "authentication/ldap". Required parameters are "host", "attribute" and "base_dn".' => '',
+  'consumed'                    => '',
   'contact_list'                => '',
   'continue'                    => '',
   'correction'                  => '',
+  'correction_br'               => '',
   'cp_greeting to cp_gender migration' => '',
   'customer'                    => '',
   'customer_list'               => '',
@@ -3461,8 +3582,10 @@ $self->{texts} = {
   'delivered'                   => '',
   'deliverydate'                => '',
   'difference as skonto'        => '',
+  'difference_as_skonto'        => '',
   'direct debit'                => '',
   'disposed'                    => '',
+  'disposed_br'                 => '',
   'do not include'              => '',
   'done'                        => '',
   'dunning_list'                => '',
@@ -3475,7 +3598,9 @@ $self->{texts} = {
   'every third month'           => '',
   'every time'                  => '',
   'executed'                    => '',
+  'execution as user \'#1\''    => '',
   'failed'                      => '',
+  'false'                       => '',
   'female'                      => '',
   'flat-rate position'          => '',
   'follow_up_list'              => '',
@@ -3484,8 +3609,11 @@ $self->{texts} = {
   'for all'                     => '',
   'for date'                    => '',
   'found'                       => '',
+  'found_br'                    => '',
   'from (time)'                 => '',
   'general_ledger_list'         => '',
+  'generate cb/ob transactions for selected charts' => '',
+  'gobd-#1-#2.zip'              => '',
   'h'                           => '',
   'history'                     => '',
   'history search engine'       => '',
@@ -3516,13 +3644,13 @@ $self->{texts} = {
   'lead deleted!'               => '',
   'lead saved!'                 => '',
   'letters_list'                => '',
-  'list'                        => '',
   'list_of_payments'            => '',
   'list_of_receipts'            => '',
   'list_of_transactions'        => '',
   'male'                        => '',
   'mark as paid'                => '',
   'missing'                     => '',
+  'missing_br'                  => '',
   'month'                       => '',
   'monthly'                     => '',
   'never'                       => '',
@@ -3531,6 +3659,7 @@ $self->{texts} = {
   'no article assigned yet'     => '',
   'no bestbefore'               => '',
   'no chargenumber'             => '',
+  'no execution for this client' => '',
   'no skonto_chart configured for taxkey #1 : #2 : #3' => '',
   'no tax_id in acc_trans'      => '',
   'not configured'              => '',
@@ -3594,18 +3723,22 @@ $self->{texts} = {
   'saved'                       => '',
   'saved!'                      => '',
   'saving data'                 => '',
+  'searched part not for purchase' => '',
+  'searched part not for sale'  => '',
   'semiannually'                => '',
   'sent'                        => '',
   'sent to printer'             => '',
   'service'                     => '',
   'service_list'                => '',
   'shipped'                     => '',
+  'shipped_br'                  => '',
   'singular first char'         => '',
-  'soldtotal'                   => '',
   'sort items'                  => '',
   'stock'                       => '',
+  'stock_br'                    => '',
   'submit'                      => '',
   'succeeded'                   => '',
+  'sum'                         => '',
   'tax_chartaccno'              => '',
   'tax_percent'                 => '',
   'tax_rate'                    => '',
@@ -3626,6 +3759,7 @@ $self->{texts} = {
   'transferred in / out'        => '',
   'transferred out'             => '',
   'trial_balance'               => '',
+  'true'                        => '',
   'uncleared'                   => '',
   'unconfigured'                => '',
   'uncorrect partnumber '       => '',
@@ -3633,6 +3767,7 @@ $self->{texts} = {
   'use program settings'        => '',
   'use user config'             => '',
   'used'                        => '',
+  'used_br'                     => '',
   'valid from'                  => '',
   'vendor'                      => '',
   'vendor_invoice_list'         => '',
@@ -3640,9 +3775,12 @@ $self->{texts} = {
   'waiting for job to be started' => '',
   'warehouse_journal_list'      => '',
   'warehouse_report_list'       => '',
+  'warehouse_usage_list'        => '',
   'with amount'                 => '',
   'with skonto acc. to pt'      => '',
+  'with_skonto_pt'              => '',
   'without skonto'              => '',
+  'without_skonto'              => '',
   'working copy'                => '',
   'wrongformat'                 => '',
   'yearly'                      => '',
diff --git a/sql/Pg-upgrade2/parts_classifications.sql b/sql/Pg-upgrade2/parts_classifications.sql
new file mode 100644
index 000000000..1f65d72da
--- /dev/null
+++ b/sql/Pg-upgrade2/parts_classifications.sql
@@ -0,0 +1,19 @@
+-- @tag: parts_classifications
+-- @description: "zusätzliche Tabelle mit Flags zur Klassifizierung von Artikeln"
+-- @depends: release_3_4_1
+CREATE TABLE parts_classifications (
+    id SERIAL PRIMARY KEY,
+    description text,
+    abbreviation text,
+    used_for_purchase BOOLEAN DEFAULT 't',
+    used_for_sale     BOOLEAN DEFAULT 't'
+);
+
+INSERT INTO parts_classifications values(0,'-------'    ,'None (typeabbreviation)','f','f');
+INSERT INTO parts_classifications values(1,'Purchase'   ,'Purchase (typeabbreviation)'   ,'t','f');
+INSERT INTO parts_classifications values(2,'Sales'      ,'Sales (typeabbreviation)'      ,'f','t');
+INSERT INTO parts_classifications values(3,'Merchandise','Merchandise (typeabbreviation)','t','t');
+INSERT INTO parts_classifications values(4,'Production' ,'Production (typeabbreviation)' ,'f','t');
+SELECT setval('parts_classifications_id_seq',4);
+ALTER TABLE parts ADD COLUMN classification_id integer DEFAULT 0;
+ALTER TABLE parts ADD CONSTRAINT classification_fkey FOREIGN KEY (classification_id) REFERENCES parts_classifications(id);
diff --git a/t/controllers/csvimport/parts.t b/t/controllers/csvimport/parts.t
index 8a27d79c6..89372087e 100644
--- a/t/controllers/csvimport/parts.t
+++ b/t/controllers/csvimport/parts.t
@@ -1,4 +1,4 @@
-use Test::More tests => 33;
+use Test::More tests => 43;
 
 use strict;
 
@@ -71,7 +71,7 @@ sub reset_state {
     module   => 'IC',
     name     => 'mycvar',
     type     => 'text',
-    description => 'mein schattz',
+    description => 'mein Schatz',
     searchable  => 1,
     sortkey => 1,
     includeable => 0,
@@ -94,6 +94,7 @@ sub test_import {
     controller => $controller,
     file       => $file,
   );
+  #print "profile param type=".$csv_part_import->settings->{parts_type}."\n";
 
   $csv_part_import->test_run(0);
   $csv_part_import->csv(SL::Helper::Csv->new(file                    => $csv_part_import->file,
@@ -153,6 +154,7 @@ my $settings1 = {
                        article_number_policy     => 'update_prices',
                        shoparticle_if_missing    => '0',
                        part_type                 => 'part',
+                       parts_classification      => 3,
                        default_buchungsgruppe    => ($bugru ? $bugru->id : undef),
                        apply_buchungsgruppe      => 'all',
                 };
@@ -162,7 +164,8 @@ my $settings2 = {
                        sellprice_adjustment_type => 'percent',
                        article_number_policy     => 'update_parts',
                        shoparticle_if_missing    => '0',
-                       part_type                 => 'part',
+                       part_type                 => 'mixed',
+                       parts_classification      => 4,
                        default_buchungsgruppe    => ($bugru ? $bugru->id : undef),
                        apply_buchungsgruppe      => 'missing',
                        default_unit              => 'Stck',
@@ -204,29 +207,31 @@ is $entry->{object}->listprice,  '97.3', 'updated listprice';
 ##### insert parts with warehouse,bin name
 
 $file = \<<EOL;
-partnumber;description;warehouse;bin
-P1000;Teil 1000;Lager1;Ort1_von_Lager1
-P1001;Teil 1001;Lager1;Ort2_von_Lager1
-P1002;Teil 1002;Lager2;Ort1_von_Lager2
-P1003;Teil 1003;Lager2;Ort2_von_Lager2
+partnumber;description;warehouse;bin;part_type
+P1000;Teil 1000;Lager1;Ort1_von_Lager1;part
+P1001;Teil 1001;Lager1;Ort2_von_Lager1;service
+P1002;Teil 1002;Lager2;Ort1_von_Lager2;service
+P1003;Teil 1003;Lager2;Ort2_von_Lager2;part
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
 is $entry->{object}->description, 'Teil 1000', 'Teil 1000 set';
 is $entry->{object}->warehouse_id, $wh1->id, 'Lager1';
 is $entry->{object}->bin_id, $bin1_1->id, 'Lagerort1';
+is $entry->{object}->part_type, 'part', 'Typ ist part';
 $entry = $entries->[2];
 is $entry->{object}->description, 'Teil 1002', 'Teil 1002 set';
 is $entry->{object}->warehouse_id, $wh2->id, 'Lager2';
 is $entry->{object}->bin_id, $bin2_1->id, 'Lagerort1';
+is $entry->{object}->part_type, 'service', 'Typ ist service';
 
 ##### update warehouse and bin
 $file = \<<EOL;
-partnumber;description;warehouse;bin
-P1000;Teil 1000;Lager2;Ort1_von_Lager2
-P1001;Teil 1001;Lager1;Ort1_von_Lager1
-P1002;Teil 1002;Lager2;Ort1_von_Lager1
-P1003;Teil 1003;Lager2;kein Lagerort
+partnumber;description;warehouse;bin;part_type
+P1000;Teil 1000;Lager2;Ort1_von_Lager2;part
+P1001;Teil 1001;Lager1;Ort1_von_Lager1;part
+P1002;Teil 1002;Lager2;Ort1_von_Lager1;part
+P1003;Teil 1003;Lager2;kein Lagerort;part
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
@@ -269,16 +274,41 @@ is $l->longdescription, 'notes IT','IT notes set';
 ##### add customvar
 $file = \<<EOL;
 partnumber;cvar_mycvar
-P1000;das ist der ring
-P1001;nicht der nibelungen
+P1000;das ist der Ring
+P1001;nicht der Nibelungen
 P1002;sondern vom
 P1003;Herr der Ringe
 EOL
 $entries = test_import($file,$settings2);
 $entry = $entries->[0];
 is $entry->{object}->partnumber, 'P1000', 'P1000 set';
-is $entry->{raw_data}->{cvar_mycvar},'das ist der ring','CVAR set';
-is @{$entry->{object}->custom_variables}[0]->text_value,'das ist der ring','Cvar mit richtigem Weert';
+is $entry->{raw_data}->{cvar_mycvar},'das ist der Ring','CVAR set';
+is @{$entry->{object}->custom_variables}[0]->text_value,'das ist der Ring','Cvar mit richtigem Wert';
+
+# set locale to de so we can match abbreviations
+$::locale = $old_locale;
+##### import part classification
+$file = \<<EOL;
+partnumber;pclass;description
+W1000;WE;Teil 1000
+W1001;WV;Teil 1001
+D1002;DV;Dienstleistung 1002
+D1003;DH;Dienstleistung 1003
+EOL
+$entries = test_import($file,$settings2);
+$entry = $entries->[0];
+is $entry->{object}->classification_id, '1', 'W1000 von Klasse Einkauf';
+is $entry->{object}->type, 'part', 'W1000 vom Type part';
+$entry = $entries->[1];
+is $entry->{object}->classification_id, '2', 'W1001 von Klasse Verkauf';
+is $entry->{object}->type, 'part', 'W1001 vom Type part';
+$entry = $entries->[2];
+is $entry->{object}->classification_id, '2', 'D1002 von Klasse Verkauf';
+is $entry->{object}->type, 'service', 'D1002 vom Type service';
+$entry = $entries->[3];
+is $entry->{object}->classification_id, '3', 'D1003 von Klasse Handelsware';
+is $entry->{object}->type, 'service', 'D1003 vom Type service';
+
 
 clear_up(); # remove all data at end of tests
 
